/*
 * JanelaMenus.java
 *
 * Created on 8 de Setembro de 2006, 20:21
 */

package parte02;

import java.awt.Color;
import javax.swing.ButtonGroup;
import javax.swing.DefaultComboBoxModel;
import javax.swing.JOptionPane;
import javax.swing.JPopupMenu;
import javax.swing.SwingUtilities;
import javax.swing.UIManager;

/**
 *
 * @author  vitor
 */
public class JanelaLAF extends javax.swing.JFrame implements ProvedorPopupJSlider {
    private PainelJSlider painelSlider = new PainelJSlider(this);
    
    private String[] classesLAF;
    private String[] nomesLAF;
    
    /** Creates new form JanelaMenus */
    public JanelaLAF() {
        initComponents();
        
        // Preenche a lista de LAFs instalados:
        UIManager.LookAndFeelInfo[] lafsInstalados = UIManager.getInstalledLookAndFeels();
        classesLAF = new String[lafsInstalados.length + 2];
        nomesLAF = new String[classesLAF.length];
        for (int i = 0; i < lafsInstalados.length; i++) {
            classesLAF[i] = lafsInstalados[i].getClassName();
            nomesLAF[i] = lafsInstalados[i].getName();
        }
        
        // Insere outros LAFs:
        int i = lafsInstalados.length;
        classesLAF[i] = "org.jvnet.substance.SubstanceLookAndFeel";
        nomesLAF[i] = "Substance";
        
        i++;
        classesLAF[i] = "net.sourceforge.napkinlaf.NapkinLookAndFeel";
        nomesLAF[i] = "Napkin";
        
        comboLAF.setModel(new DefaultComboBoxModel(nomesLAF));
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc=" Generated Code ">//GEN-BEGIN:initComponents
    private void initComponents() {
        popupMenu = new javax.swing.JPopupMenu();
        itemAmareloPopup = new javax.swing.JCheckBoxMenuItem();
        itemAzulPopup = new javax.swing.JCheckBoxMenuItem();
        itemVerdePopup = new javax.swing.JCheckBoxMenuItem();
        itemVermelhoPopup = new javax.swing.JCheckBoxMenuItem();
        jSeparator3 = new javax.swing.JSeparator();
        itemCirculoPopup = new javax.swing.JRadioButtonMenuItem();
        itemQuadradoPopup = new javax.swing.JRadioButtonMenuItem();
        grupoBotoesPopup = new javax.swing.ButtonGroup();
        grupoBotoesMenu = new javax.swing.ButtonGroup();
        toolBar = new javax.swing.JToolBar();
        botaoAmarelo = new javax.swing.JToggleButton();
        botaoAzul = new javax.swing.JToggleButton();
        botaoVerde = new javax.swing.JToggleButton();
        botaoVermelho = new javax.swing.JToggleButton();
        jSeparator2 = new javax.swing.JToolBar.Separator();
        botaoQuadrado = new javax.swing.JButton();
        botaoCirculo = new javax.swing.JButton();
        painelCentral = painelSlider;
        painelRodape = new javax.swing.JPanel();
        labelLAF = new javax.swing.JLabel();
        comboLAF = new javax.swing.JComboBox();
        menuBar = new javax.swing.JMenuBar();
        menuArquivo = new javax.swing.JMenu();
        itemSobre = new javax.swing.JMenuItem();
        itemAjuda = new javax.swing.JMenuItem();
        jSeparator1 = new javax.swing.JSeparator();
        itemSair = new javax.swing.JMenuItem();
        menuEditar = new javax.swing.JMenu();
        menuCor = new javax.swing.JMenu();
        itemAmarelo = new javax.swing.JCheckBoxMenuItem();
        itemAzul = new javax.swing.JCheckBoxMenuItem();
        itemVerde = new javax.swing.JCheckBoxMenuItem();
        itemVermelho = new javax.swing.JCheckBoxMenuItem();
        menuForma = new javax.swing.JMenu();
        itemCirculo = new javax.swing.JRadioButtonMenuItem();
        itemQuadrado = new javax.swing.JRadioButtonMenuItem();

        itemAmareloPopup.setMnemonic('A');
        itemAmareloPopup.setText("Amarelo");
        itemAmareloPopup.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/images/colorYellow.png")));
        itemAmareloPopup.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                itemAmareloPopupActionPerformed(evt);
            }
        });

        popupMenu.add(itemAmareloPopup);

        itemAzulPopup.setMnemonic('z');
        itemAzulPopup.setText("Azul");
        itemAzulPopup.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/images/colorBlue.png")));
        itemAzulPopup.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                itemAzulPopupActionPerformed(evt);
            }
        });

        popupMenu.add(itemAzulPopup);

        itemVerdePopup.setMnemonic('V');
        itemVerdePopup.setText("Verde");
        itemVerdePopup.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/images/colorGreen.png")));
        itemVerdePopup.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                itemVerdePopupActionPerformed(evt);
            }
        });

        popupMenu.add(itemVerdePopup);

        itemVermelhoPopup.setMnemonic('m');
        itemVermelhoPopup.setText("Vermelho");
        itemVermelhoPopup.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/images/colorRed.png")));
        itemVermelhoPopup.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                itemVermelhoPopupActionPerformed(evt);
            }
        });

        popupMenu.add(itemVermelhoPopup);

        popupMenu.add(jSeparator3);

        grupoBotoesPopup.add(itemCirculoPopup);
        itemCirculoPopup.setMnemonic('C');
        itemCirculoPopup.setSelected(true);
        itemCirculoPopup.setText("C\u00edrculo");
        itemCirculoPopup.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                itemCirculoPopupActionPerformed(evt);
            }
        });

        popupMenu.add(itemCirculoPopup);

        grupoBotoesPopup.add(itemQuadradoPopup);
        itemQuadradoPopup.setMnemonic('Q');
        itemQuadradoPopup.setText("Quadrado");
        itemQuadradoPopup.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                itemQuadradoPopupActionPerformed(evt);
            }
        });

        popupMenu.add(itemQuadradoPopup);

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Teste do Look & Feel");
        toolBar.setFloatable(false);
        botaoAmarelo.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/images/colorYellow.png")));
        botaoAmarelo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                botaoAmareloActionPerformed(evt);
            }
        });

        toolBar.add(botaoAmarelo);

        botaoAzul.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/images/colorBlue.png")));
        botaoAzul.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                botaoAzulActionPerformed(evt);
            }
        });

        toolBar.add(botaoAzul);

        botaoVerde.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/images/colorGreen.png")));
        botaoVerde.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                botaoVerdeActionPerformed(evt);
            }
        });

        toolBar.add(botaoVerde);

        botaoVermelho.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/images/colorRed.png")));
        botaoVermelho.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                botaoVermelhoActionPerformed(evt);
            }
        });

        toolBar.add(botaoVermelho);

        toolBar.add(jSeparator2);

        botaoQuadrado.setText("Quadrado");
        botaoQuadrado.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                botaoQuadradoActionPerformed(evt);
            }
        });

        toolBar.add(botaoQuadrado);

        botaoCirculo.setText("C\u00edrculo");
        botaoCirculo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                botaoCirculoActionPerformed(evt);
            }
        });

        toolBar.add(botaoCirculo);

        getContentPane().add(toolBar, java.awt.BorderLayout.NORTH);

        getContentPane().add(painelCentral, java.awt.BorderLayout.CENTER);

        labelLAF.setText("Apar\u00eancia:");

        comboLAF.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        comboLAF.addItemListener(new java.awt.event.ItemListener() {
            public void itemStateChanged(java.awt.event.ItemEvent evt) {
                comboLAFItemStateChanged(evt);
            }
        });

        org.jdesktop.layout.GroupLayout painelRodapeLayout = new org.jdesktop.layout.GroupLayout(painelRodape);
        painelRodape.setLayout(painelRodapeLayout);
        painelRodapeLayout.setHorizontalGroup(
            painelRodapeLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(painelRodapeLayout.createSequentialGroup()
                .add(labelLAF)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(comboLAF, 0, 366, Short.MAX_VALUE)
                .addContainerGap())
        );
        painelRodapeLayout.setVerticalGroup(
            painelRodapeLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(painelRodapeLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                .add(labelLAF)
                .add(comboLAF, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );
        getContentPane().add(painelRodape, java.awt.BorderLayout.SOUTH);

        menuArquivo.setMnemonic('A');
        menuArquivo.setText("Arquivo");
        itemSobre.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/images/iconAbout.png")));
        itemSobre.setMnemonic('S');
        itemSobre.setText("Sobre...");
        itemSobre.setToolTipText("Sobre esta aplica\u00e7\u00e3o.");
        menuArquivo.add(itemSobre);

        itemAjuda.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/images/iconHelp.png")));
        itemAjuda.setMnemonic('A');
        itemAjuda.setText("Ajuda...");
        itemAjuda.setToolTipText("Abre a ajuda do programa.");
        menuArquivo.add(itemAjuda);

        menuArquivo.add(jSeparator1);

        itemSair.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/images/iconExit.png")));
        itemSair.setMnemonic('r');
        itemSair.setText("Sair");
        itemSair.setToolTipText("Termina o programa.");
        itemSair.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                itemSairActionPerformed(evt);
            }
        });

        menuArquivo.add(itemSair);

        menuBar.add(menuArquivo);

        menuEditar.setMnemonic('E');
        menuEditar.setText("Editar");
        menuCor.setMnemonic('C');
        menuCor.setText("Cor");
        itemAmarelo.setMnemonic('A');
        itemAmarelo.setText("Amarelo");
        itemAmarelo.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/images/colorYellow.png")));
        itemAmarelo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                itemAmareloActionPerformed(evt);
            }
        });

        menuCor.add(itemAmarelo);

        itemAzul.setMnemonic('z');
        itemAzul.setText("Azul");
        itemAzul.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/images/colorBlue.png")));
        itemAzul.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                itemAzulActionPerformed(evt);
            }
        });

        menuCor.add(itemAzul);

        itemVerde.setMnemonic('V');
        itemVerde.setText("Verde");
        itemVerde.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/images/colorGreen.png")));
        itemVerde.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                itemVerdeActionPerformed(evt);
            }
        });

        menuCor.add(itemVerde);

        itemVermelho.setMnemonic('m');
        itemVermelho.setText("Vermelho");
        itemVermelho.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/images/colorRed.png")));
        itemVermelho.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                itemVermelhoActionPerformed(evt);
            }
        });

        menuCor.add(itemVermelho);

        menuEditar.add(menuCor);

        menuForma.setMnemonic('F');
        menuForma.setText("Forma");
        grupoBotoesMenu.add(itemCirculo);
        itemCirculo.setMnemonic('C');
        itemCirculo.setSelected(true);
        itemCirculo.setText("C\u00edrculo");
        itemCirculo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                itemCirculoActionPerformed(evt);
            }
        });

        menuForma.add(itemCirculo);

        grupoBotoesMenu.add(itemQuadrado);
        itemQuadrado.setMnemonic('Q');
        itemQuadrado.setText("Quadrado");
        itemQuadrado.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                itemQuadradoActionPerformed(evt);
            }
        });

        menuForma.add(itemQuadrado);

        menuEditar.add(menuForma);

        menuBar.add(menuEditar);

        setJMenuBar(menuBar);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void comboLAFItemStateChanged(java.awt.event.ItemEvent evt) {//GEN-FIRST:event_comboLAFItemStateChanged
        int idx = comboLAF.getSelectedIndex();
        if (idx >= 0) {
            try {
                UIManager.setLookAndFeel(classesLAF[idx]);
                SwingUtilities.updateComponentTreeUI(this);
            }
            catch (Exception e) {
                JOptionPane.showMessageDialog(this, "Look & feel não encontrado.");
            }
        }
    }//GEN-LAST:event_comboLAFItemStateChanged

    private void itemQuadradoPopupActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_itemQuadradoPopupActionPerformed
        itemQuadrado.setSelected(itemQuadradoPopup.isSelected());
        itemQuadradoActionPerformed(evt);
    }//GEN-LAST:event_itemQuadradoPopupActionPerformed

    private void itemCirculoPopupActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_itemCirculoPopupActionPerformed
        itemCirculo.setSelected(itemCirculoPopup.isSelected());
        itemCirculoActionPerformed(evt);
    }//GEN-LAST:event_itemCirculoPopupActionPerformed

    private void itemVermelhoPopupActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_itemVermelhoPopupActionPerformed
        itemVermelho.setSelected(itemVermelhoPopup.isSelected());
        botaoVermelho.setSelected(itemVermelhoPopup.isSelected());
        itemVermelhoActionPerformed(evt);
    }//GEN-LAST:event_itemVermelhoPopupActionPerformed

    private void itemVerdePopupActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_itemVerdePopupActionPerformed
        itemVerde.setSelected(itemVerdePopup.isSelected());
        botaoVerde.setSelected(itemVerdePopup.isSelected());
        itemVerdeActionPerformed(evt);
    }//GEN-LAST:event_itemVerdePopupActionPerformed

    private void itemAzulPopupActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_itemAzulPopupActionPerformed
        itemAzul.setSelected(itemAzulPopup.isSelected());
        botaoAzul.setSelected(itemAzulPopup.isSelected());
        itemAzulActionPerformed(evt);
    }//GEN-LAST:event_itemAzulPopupActionPerformed

    private void itemAmareloPopupActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_itemAmareloPopupActionPerformed
        itemAmarelo.setSelected(itemAmareloPopup.isSelected());
        botaoAmarelo.setSelected(itemAmareloPopup.isSelected());
        itemAmareloActionPerformed(evt);
    }//GEN-LAST:event_itemAmareloPopupActionPerformed

    private void botaoCirculoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_botaoCirculoActionPerformed
        itemCirculo.setSelected(botaoCirculo.isSelected());
        itemCirculoActionPerformed(evt);
    }//GEN-LAST:event_botaoCirculoActionPerformed

    private void botaoQuadradoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_botaoQuadradoActionPerformed
        itemQuadrado.setSelected(botaoQuadrado.isSelected());
        itemQuadradoActionPerformed(evt);
    }//GEN-LAST:event_botaoQuadradoActionPerformed

    private void botaoVermelhoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_botaoVermelhoActionPerformed
        itemVermelho.setSelected(botaoVermelho.isSelected());
        itemVermelhoActionPerformed(evt);
    }//GEN-LAST:event_botaoVermelhoActionPerformed

    private void botaoVerdeActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_botaoVerdeActionPerformed
        itemVerde.setSelected(botaoVerde.isSelected());
        itemVerdeActionPerformed(evt);
    }//GEN-LAST:event_botaoVerdeActionPerformed

    private void botaoAzulActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_botaoAzulActionPerformed
        itemAzul.setSelected(botaoAzul.isSelected());
        itemAzulActionPerformed(evt);
    }//GEN-LAST:event_botaoAzulActionPerformed

    private void botaoAmareloActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_botaoAmareloActionPerformed
        itemAmarelo.setSelected(botaoAmarelo.isSelected());
        itemAmareloActionPerformed(evt);
    }//GEN-LAST:event_botaoAmareloActionPerformed

    private void itemQuadradoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_itemQuadradoActionPerformed
        itemQuadradoPopup.setSelected(itemQuadrado.isSelected());
        painelSlider.setForma(PainelJSlider.FORMA.QUADRADO);
    }//GEN-LAST:event_itemQuadradoActionPerformed

    private void itemCirculoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_itemCirculoActionPerformed
        itemCirculoPopup.setSelected(itemCirculo.isSelected());
        painelSlider.setForma(PainelJSlider.FORMA.CIRCULO);
    }//GEN-LAST:event_itemCirculoActionPerformed

    private void itemVermelhoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_itemVermelhoActionPerformed
        botaoVermelho.setSelected(itemVermelho.isSelected());
        itemVermelhoPopup.setSelected(itemVermelho.isSelected());
        if (itemVermelho.isSelected()) adicionaCor(Color.RED);
        else removeCor(Color.RED);
    }//GEN-LAST:event_itemVermelhoActionPerformed

    private void itemVerdeActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_itemVerdeActionPerformed
        botaoVerde.setSelected(itemVerde.isSelected());
        itemVerdePopup.setSelected(itemVerde.isSelected());
        if (itemVerde.isSelected()) adicionaCor(Color.GREEN);
        else removeCor(Color.GREEN);
    }//GEN-LAST:event_itemVerdeActionPerformed

    private void itemAzulActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_itemAzulActionPerformed
        botaoAzul.setSelected(itemAzul.isSelected());
        itemAzulPopup.setSelected(itemAzul.isSelected());
        if (itemAzul.isSelected()) adicionaCor(Color.BLUE);
        else removeCor(Color.BLUE);
    }//GEN-LAST:event_itemAzulActionPerformed

    private void itemAmareloActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_itemAmareloActionPerformed
        botaoAmarelo.setSelected(itemAmarelo.isSelected());
        itemAmareloPopup.setSelected(itemAmarelo.isSelected());
        if (itemAmarelo.isSelected()) adicionaCor(Color.YELLOW);
        else removeCor(Color.YELLOW);
    }//GEN-LAST:event_itemAmareloActionPerformed

    private void itemSairActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_itemSairActionPerformed
        System.exit(0);
    }//GEN-LAST:event_itemSairActionPerformed
    
    private int R = 0;
    private int G = 0;
    private int B = 0;
    private int q = 0;
    
    private void adicionaCor(Color cor) {
        R += cor.getRed();
        G += cor.getGreen();
        B += cor.getBlue();
        q += 1;
        painelSlider.setCor(new Color(R / q, G / q, B / q));
    }
    
    private void removeCor(Color cor) {
        R -= cor.getRed();
        G -= cor.getGreen();
        B -= cor.getBlue();
        q -= 1;
        painelSlider.setCor((q == 0) ? Color.BLACK : new Color(R / q, G / q, B / q));
    }
    
    public void mostraMenuPopup(int x, int y) {
        popupMenu.show(getContentPane(), x, y);
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                JanelaLAF janela = new JanelaLAF();
                janela.setSize(600, 600);
                janela.setVisible(true);
            }
        });
    }
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JToggleButton botaoAmarelo;
    private javax.swing.JToggleButton botaoAzul;
    private javax.swing.JButton botaoCirculo;
    private javax.swing.JButton botaoQuadrado;
    private javax.swing.JToggleButton botaoVerde;
    private javax.swing.JToggleButton botaoVermelho;
    private javax.swing.JComboBox comboLAF;
    private javax.swing.ButtonGroup grupoBotoesMenu;
    private javax.swing.ButtonGroup grupoBotoesPopup;
    private javax.swing.JMenuItem itemAjuda;
    private javax.swing.JCheckBoxMenuItem itemAmarelo;
    private javax.swing.JCheckBoxMenuItem itemAmareloPopup;
    private javax.swing.JCheckBoxMenuItem itemAzul;
    private javax.swing.JCheckBoxMenuItem itemAzulPopup;
    private javax.swing.JRadioButtonMenuItem itemCirculo;
    private javax.swing.JRadioButtonMenuItem itemCirculoPopup;
    private javax.swing.JRadioButtonMenuItem itemQuadrado;
    private javax.swing.JRadioButtonMenuItem itemQuadradoPopup;
    private javax.swing.JMenuItem itemSair;
    private javax.swing.JMenuItem itemSobre;
    private javax.swing.JCheckBoxMenuItem itemVerde;
    private javax.swing.JCheckBoxMenuItem itemVerdePopup;
    private javax.swing.JCheckBoxMenuItem itemVermelho;
    private javax.swing.JCheckBoxMenuItem itemVermelhoPopup;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JSeparator jSeparator2;
    private javax.swing.JSeparator jSeparator3;
    private javax.swing.JLabel labelLAF;
    private javax.swing.JMenu menuArquivo;
    private javax.swing.JMenuBar menuBar;
    private javax.swing.JMenu menuCor;
    private javax.swing.JMenu menuEditar;
    private javax.swing.JMenu menuForma;
    private javax.swing.JPanel painelCentral;
    private javax.swing.JPanel painelRodape;
    private javax.swing.JPopupMenu popupMenu;
    private javax.swing.JToolBar toolBar;
    // End of variables declaration//GEN-END:variables
    
}
