/*
 * PainelEditor.java
 *
 * Created on 14 de Setembro de 2006, 15:29
 */

package parte02;

import java.io.IOException;
import java.net.URL;
import java.util.Stack;
import javax.swing.JFrame;
import javax.swing.event.HyperlinkEvent;

/**
 *
 * @author  vitor
 */
public class PainelEditor extends javax.swing.JPanel {
    
    private Stack<String> historico = new Stack<String>();
    
    /** Creates new form PainelEditor */
    public PainelEditor() {
        initComponents();
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc=" Generated Code ">//GEN-BEGIN:initComponents
    private void initComponents() {
        painelRolagem = new javax.swing.JScrollPane();
        painelEdicao = new javax.swing.JEditorPane();
        rotuloEndereco = new javax.swing.JLabel();
        textoEndereco = new javax.swing.JTextField();
        checkEditavel = new javax.swing.JCheckBox();
        botaoVoltar = new javax.swing.JButton();
        botaoCarregar = new javax.swing.JButton();

        painelEdicao.setEditable(false);
        painelEdicao.addHyperlinkListener(new javax.swing.event.HyperlinkListener() {
            public void hyperlinkUpdate(javax.swing.event.HyperlinkEvent evt) {
                painelEdicaoHyperlinkUpdate(evt);
            }
        });

        painelRolagem.setViewportView(painelEdicao);

        rotuloEndereco.setText("Endere\u00e7o:");

        textoEndereco.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                botaoCarregarActionPerformed(evt);
            }
        });

        checkEditavel.setText("Edit\u00e1vel");
        checkEditavel.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        checkEditavel.setHorizontalTextPosition(javax.swing.SwingConstants.LEADING);
        checkEditavel.setMargin(new java.awt.Insets(0, 0, 0, 0));
        checkEditavel.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkEditavelActionPerformed(evt);
            }
        });

        botaoVoltar.setText("Voltar");
        botaoVoltar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                botaoVoltarActionPerformed(evt);
            }
        });

        botaoCarregar.setText("Carregar");
        botaoCarregar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                botaoCarregarActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(painelRolagem, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 555, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(rotuloEndereco)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(textoEndereco, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 242, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(botaoCarregar)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(botaoVoltar)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(checkEditavel)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(painelRolagem, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 341, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(rotuloEndereco)
                        .add(textoEndereco, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(checkEditavel)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(botaoVoltar)
                        .add(botaoCarregar)))
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents

    private void painelEdicaoHyperlinkUpdate(javax.swing.event.HyperlinkEvent evt) {//GEN-FIRST:event_painelEdicaoHyperlinkUpdate
        if (evt.getEventType() == HyperlinkEvent.EventType.ACTIVATED) {
            try {
                URL url = evt.getURL();

                // Guarda a URL no histórico.
                historico.push(url.toString());

                // Carrega a página.
                textoEndereco.setText(url.toString());
                painelEdicao.setPage(url);
            }
            catch (IOException e) {
                painelEdicao.setText("Erro: " + e);
            }
        }
    }//GEN-LAST:event_painelEdicaoHyperlinkUpdate

    private void checkEditavelActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkEditavelActionPerformed
        painelEdicao.setEditable(checkEditavel.isSelected());
    }//GEN-LAST:event_checkEditavelActionPerformed

    private void botaoVoltarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_botaoVoltarActionPerformed
        if (historico.size() <= 1) return;
        try {
            // Remove o endereço atual do histórico.
            historico.pop();
            
            // Obtém o endereço da página anterior e carrega.
            String url = historico.peek();
            textoEndereco.setText(url);
            painelEdicao.setPage(url);
        }
        catch (IOException e) {
            painelEdicao.setText("Erro: " + e);
        }
    }//GEN-LAST:event_botaoVoltarActionPerformed

    private void botaoCarregarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_botaoCarregarActionPerformed
        try {
            String url = textoEndereco.getText();
            
            // Guarda a URL no histórico.
            historico.push(url);

            // Carrega a página.
            painelEdicao.setPage(url);
        }
        catch (IOException e) {
            painelEdicao.setText("Erro: " + e);
        }
    }//GEN-LAST:event_botaoCarregarActionPerformed

    public static void main(String[] args) {
        JFrame janela = new JFrame("Teste EditorPane");
        janela.setSize(600, 600);
        janela.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
        janela.setContentPane(new PainelEditor());
        janela.setVisible(true);
    }
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton botaoCarregar;
    private javax.swing.JButton botaoVoltar;
    private javax.swing.JCheckBox checkEditavel;
    private javax.swing.JEditorPane painelEdicao;
    private javax.swing.JScrollPane painelRolagem;
    private javax.swing.JLabel rotuloEndereco;
    private javax.swing.JTextField textoEndereco;
    // End of variables declaration//GEN-END:variables
    
}
