/*
 * PanelJSlider.java
 *
 * Created on 8 de Setembro de 2006, 18:48
 */

package parte02;

import java.awt.Color;
import java.awt.Graphics;
import java.util.Dictionary;
import java.util.Hashtable;
import javax.swing.JComponent;
import javax.swing.JFrame;
import javax.swing.JLabel;

/**
 *
 * @author  vitor
 */
public class PainelJSlider extends javax.swing.JPanel {
    private ProvedorPopupJSlider janela;
    
    public static enum FORMA { CIRCULO, QUADRADO; };
    private FORMA forma = FORMA.CIRCULO;
    public void setForma(FORMA forma) {
        this.forma = forma;
        painelCentral.repaint();
    }
    
    private Color cor = Color.BLACK;
    public void setCor(Color cor) {
        this.cor = cor;
        painelCentral.repaint();
    }
    
    /** Creates new form PanelJSlider */
    public PainelJSlider(ProvedorPopupJSlider janela) {
        this.janela = janela;
        
        initComponents();
        
        Dictionary<Integer, JComponent> tabelaRotulos = new Hashtable<Integer, JComponent>();
        tabelaRotulos.put(0, new JLabel("Vazio"));
        tabelaRotulos.put(100, new JLabel("Pequeno"));
        tabelaRotulos.put(200, new JLabel("Médio"));
        tabelaRotulos.put(300, new JLabel("Grande"));
        tabelaRotulos.put(400, new JLabel("Enorme"));
        sliderDiametro.setLabelTable(tabelaRotulos);
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc=" Generated Code ">//GEN-BEGIN:initComponents
    private void initComponents() {
        painelRodape = new javax.swing.JPanel();
        sliderDiametro = new javax.swing.JSlider();
        painelCentral = new javax.swing.JPanel();
        painelCentral = new PainelCirculo();

        setLayout(new java.awt.BorderLayout());

        sliderDiametro.setMajorTickSpacing(100);
        sliderDiametro.setMaximum(400);
        sliderDiametro.setPaintLabels(true);
        sliderDiametro.setPaintTicks(true);
        sliderDiametro.setSnapToTicks(true);
        sliderDiametro.setValue(100);
        sliderDiametro.addChangeListener(new javax.swing.event.ChangeListener() {
            public void stateChanged(javax.swing.event.ChangeEvent evt) {
                sliderDiametroStateChanged(evt);
            }
        });

        org.jdesktop.layout.GroupLayout painelRodapeLayout = new org.jdesktop.layout.GroupLayout(painelRodape);
        painelRodape.setLayout(painelRodapeLayout);
        painelRodapeLayout.setHorizontalGroup(
            painelRodapeLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(painelRodapeLayout.createSequentialGroup()
                .addContainerGap()
                .add(sliderDiametro, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 376, Short.MAX_VALUE)
                .addContainerGap())
        );
        painelRodapeLayout.setVerticalGroup(
            painelRodapeLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(painelRodapeLayout.createSequentialGroup()
                .addContainerGap()
                .add(sliderDiametro, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(44, Short.MAX_VALUE))
        );
        add(painelRodape, java.awt.BorderLayout.SOUTH);

        painelCentral.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                painelCentralMouseClicked(evt);
            }
        });

        org.jdesktop.layout.GroupLayout painelCentralLayout = new org.jdesktop.layout.GroupLayout(painelCentral);
        painelCentral.setLayout(painelCentralLayout);
        painelCentralLayout.setHorizontalGroup(
            painelCentralLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 400, Short.MAX_VALUE)
        );
        painelCentralLayout.setVerticalGroup(
            painelCentralLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 202, Short.MAX_VALUE)
        );
        add(painelCentral, java.awt.BorderLayout.CENTER);

    }// </editor-fold>//GEN-END:initComponents

    private void painelCentralMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_painelCentralMouseClicked
        if ((evt.isMetaDown()) && (janela != null)) janela.mostraMenuPopup(evt.getX(), evt.getY());
    }//GEN-LAST:event_painelCentralMouseClicked
    
    private void sliderDiametroStateChanged(javax.swing.event.ChangeEvent evt) {//GEN-FIRST:event_sliderDiametroStateChanged
        ((PainelCirculo)painelCentral).setDiametro(sliderDiametro.getValue());
    }//GEN-LAST:event_sliderDiametroStateChanged
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JPanel painelCentral;
    private javax.swing.JPanel painelRodape;
    private javax.swing.JSlider sliderDiametro;
    // End of variables declaration//GEN-END:variables
    
    public static void main(String[] args) {
        JFrame janela = new JFrame("Teste JSlider");
        janela.setSize(600, 600);
        janela.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
        janela.setContentPane(new PainelJSlider(null));
        
        janela.setVisible(true);
    }
    
    private class PainelCirculo extends javax.swing.JPanel {
        private static final int MAX_DIAMETRO = 400;
        private int diametro = 100;
        public void paintComponent(Graphics g) {
            super.paintComponent(g);
            
            // Determina a cor.
            g.setColor(cor); 
            
            // Determina a forma.
            if (forma == FORMA.CIRCULO) g.fillOval(10, 10, diametro, diametro);
            else if (forma == FORMA.QUADRADO) g.fillRect(10, 10, diametro, diametro);
        }
        public void setDiametro(int diametro) {
            this.diametro = ((diametro >= 0) && (diametro <= MAX_DIAMETRO)) ? diametro : 100;
            repaint();
        }
    }
}
